package core

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestHashPassword(t *testing.T) {
	password := "password"
	hashedPassword, err := HashPassword(password)

	assert.NoError(t, err)

	hashedOk, err := ComparePassword(password, hashedPassword)
	assert.NoError(t, err)
	assert.True(t, hashedOk)
}
